Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035663
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-03-30 17:512017-04-12 12:24
ReportermalsasuaView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision5296a7540d1c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035663: Sales Order is missed and never synced to backoffice in some cases

DescriptionWhen a Sales Order is created from a quotation, and after to create the sales order, the quotation is loaded again in terminal, the Sales Order is deleted from local database, but it is displayed in UI, and it can be paid, but never is synced with backoffice
Steps To ReproduceWebPOS:
. load a quoation QT1
. create a sales order from quotation: OR1
. load previous quotation QT1
popup message is displayed (see attachment) -> click OK
. using "navigate between opens orders popup" (top right of the order), navigate to OR1
. complete the receipt
OR1 never is synced in backoffice, and in localdb it is missing
TagsNo tags attached.
Attached Filespng file icon qt.png [^] (181,900 bytes) 2017-03-30 17:51


? file icon diffIssue35663.export [^] (4,962 bytes) 2017-03-31 09:41

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0035756RR17Q2 closedguilleaer Sales Order is missed and never synced to backoffice in some cases 
depends on backport 0035757RR17Q1.1 closedguilleaer Sales Order is missed and never synced to backoffice in some cases 
depends on backport 0035758RR16Q4.3 closedguilleaer Sales Order is missed and never synced to backoffice in some cases 

-  Notes
(0095854)
hgbot (developer)
2017-04-05 18:09

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5296a7540d1c81e08d8c9f7d8ea7dfacba288e95
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Mar 31 09:40:38 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5296a7540d1c81e08d8c9f7d8ea7dfacba288e95 [^]

Fixed issue 35663: When a quotation is loaded, a check is done to verify that not orders created for that quotation are already opened

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/modalpaidreceipts.js
---
(0095960)
hgbot (developer)
2017-04-10 23:48

Repository: tools/automation/pi-mobile
Changeset: eb4d4c64f9eebf15cb69c7e2f4cf178d330101fa
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Mon Apr 10 09:08:22 2017 -0600
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/eb4d4c64f9eebf15cb69c7e2f4cf178d330101fa [^]

Verifies issue 35663: Added automated test 'I35663_QuotationCreateOrder'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I35663_QuotationCreateOrder.java
---
(0095961)
hgbot (developer)
2017-04-10 23:52

Repository: tools/automation/pi-mobile
Changeset: 3a83bbd77c9207d7a0b49e28d8ff40084350dc7c
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Mon Apr 10 15:51:52 2017 -0600
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/3a83bbd77c9207d7a0b49e28d8ff40084350dc7c [^]

Verifies issue 35663: Fixed Copyright of test 'I35663_QuotationCreateOrder'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I35663_QuotationCreateOrder.java
---
(0096016)
hgbot (developer)
2017-04-12 12:18

Repository: retail/backports/3.0RR17Q2/org.openbravo.retail.posterminal
Changeset: 50dba393853042bed7b25504e6c2066d855b49d8
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Apr 12 12:18:07 2017 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR17Q2/org.openbravo.retail.posterminal/rev/50dba393853042bed7b25504e6c2066d855b49d8 [^]

Fixed issue 35756 backport of issue 35663: When a quotation is loaded, a check is done to verify that not orders created for that quotation are already opened

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/modalpaidreceipts.js
---
(0096018)
hgbot (developer)
2017-04-12 12:22

Repository: retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal
Changeset: e515d8083dfc1e9089dcf7263ab3a4c37d476fb7
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Apr 12 12:21:44 2017 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal/rev/e515d8083dfc1e9089dcf7263ab3a4c37d476fb7 [^]

Fixed issue 35757 backport of issue 35663: When a quotation is loaded, a check is done to verify that not orders created for that quotation are already opened

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/modalpaidreceipts.js
---
(0096020)
hgbot (developer)
2017-04-12 12:24

Repository: retail/backports/3.0RR16Q4.3/org.openbravo.retail.posterminal
Changeset: 330afdde5e37cdb8a17096893e49c3ba6091d291
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Apr 12 12:24:06 2017 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q4.3/org.openbravo.retail.posterminal/rev/330afdde5e37cdb8a17096893e49c3ba6091d291 [^]

Fixed issue 35758 backport of issue 35663: When a quotation is loaded, a check is done to verify that not orders created for that quotation are already opened

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/modalpaidreceipts.js
---

- Issue History
Date Modified Username Field Change
2017-03-30 17:51 malsasua New Issue
2017-03-30 17:51 malsasua Assigned To => Retail
2017-03-30 17:51 malsasua File Added: qt.png
2017-03-30 17:51 malsasua Triggers an Emergency Pack => No
2017-03-30 17:54 guilleaer Assigned To Retail => guilleaer
2017-03-30 17:54 guilleaer Steps to Reproduce Updated View Revisions
2017-03-31 09:41 guilleaer File Added: diffIssue35663.export
2017-04-05 18:09 hgbot Checkin
2017-04-05 18:09 hgbot Note Added: 0095854
2017-04-05 18:09 hgbot Status new => resolved
2017-04-05 18:09 hgbot Resolution open => fixed
2017-04-05 18:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5296a7540d1c81e08d8c9f7d8ea7dfacba288e95 [^]
2017-04-10 23:48 hgbot Checkin
2017-04-10 23:48 hgbot Note Added: 0095960
2017-04-10 23:52 hgbot Checkin
2017-04-10 23:52 hgbot Note Added: 0095961
2017-04-11 16:18 marvintm Status resolved => new
2017-04-11 16:18 marvintm Resolution fixed => open
2017-04-11 16:18 marvintm Status new => scheduled
2017-04-11 16:19 marvintm Status scheduled => resolved
2017-04-11 16:19 marvintm Fixed in Version => RR17Q3
2017-04-11 16:19 marvintm Resolution open => fixed
2017-04-11 16:19 marvintm Review Assigned To => marvintm
2017-04-11 16:19 marvintm Status resolved => closed
2017-04-12 12:18 hgbot Checkin
2017-04-12 12:18 hgbot Note Added: 0096016
2017-04-12 12:22 hgbot Checkin
2017-04-12 12:22 hgbot Note Added: 0096018
2017-04-12 12:24 hgbot Checkin
2017-04-12 12:24 hgbot Note Added: 0096020


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker